This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 517463 - needless battery drain while idle: 100x/sec
needless battery drain while idle: 100x/sec
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11PowerSaving
  Show dependency treegraph
 
Reported: 2009-08-14 03:59 EDT by Jan Kratochvil
Modified: 2014-11-09 17:32 EST (History)
5 users (show)

See Also:
Fixed In Version: squid-3.1.0.13-6.fc12.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-19 15:17:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2009-08-14 03:59:22 EDT
Description of problem:
Needless battery drain when squid is in idle mode.
Using squid for cross-application cache, intelligent parent cache selection, URLs remapping etc.

Version-Release number of selected component (if applicable):
squid-3.0.STABLE18-1.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. service squid start
2. powertop

Actual results:
Top causes for wakeups:
   8.8% (101.6)             squid : __mod_timer (process_timeout) 

Expected results:
Top causes for wakeups:
   0.0% (  0.0)             squid : __mod_timer (process_timeout) 
:-)

Additional info:
Comment 1 Jan Kratochvil 2009-09-19 15:17:42 EDT
The primary problem of regular timer got fixed.

powertop now displays for squid only:
Top causes for wakeups:
   3.1% (  2.3)             squid : __mod_timer (process_timeout)

Still strace displays for squid some IMO needless syscalls so it would be nice to check their reason:
Process 4338 attached - interrupt to quit
epoll_wait(6, {}, 16384, 62)            = 0
epoll_wait(6, {}, 16384, 449)           = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 550)           = 0
epoll_wait(6, {}, 16384, 1)             = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 449)           = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 0)             = 0
epoll_wait(6, {}, 16384, 0)             = 0
(this number of lines is for approx. 1 sec)

Note You need to log in before you can comment on or make changes to this bug.